Bug 995699 - [abrt] recoll-1.19.4-2.fc18: std::_Rb_tree<std::string, std::pair<std::string const, std::string>, std::_Select1st<std::pair<std::string const, std::string> >, std::less<std::string>, std::allocator<std::pair<std::string const, std::string> > ...
[abrt] recoll-1.19.4-2.fc18: std::_Rb_tree<std::string, std::pair<std::string...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: recoll (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
abrt_hash:da6952ca07a4135f829021dabb4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 04:13 EDT by michelenani
Modified: 2013-11-23 23:04 EST (History)
1 user (show)

See Also:
Fixed In Version: recoll-1.19.9-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 14:43:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.60 KB, text/plain)
2013-08-10 04:13 EDT, michelenani
no flags Details
File: cgroup (130 bytes, text/plain)
2013-08-10 04:13 EDT, michelenani
no flags Details
File: core_backtrace (4.54 KB, text/plain)
2013-08-10 04:13 EDT, michelenani
no flags Details
File: dso_list (1.75 KB, text/plain)
2013-08-10 04:13 EDT, michelenani
no flags Details
File: environ (1.94 KB, text/plain)
2013-08-10 04:13 EDT, michelenani
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-10 04:13 EDT, michelenani
no flags Details
File: maps (6.07 KB, text/plain)
2013-08-10 04:13 EDT, michelenani
no flags Details
File: open_fds (616 bytes, text/plain)
2013-08-10 04:13 EDT, michelenani
no flags Details
File: proc_pid_status (795 bytes, text/plain)
2013-08-10 04:14 EDT, michelenani
no flags Details
File: var_log_messages (305 bytes, text/plain)
2013-08-10 04:14 EDT, michelenani
no flags Details

  None (edit)
Description michelenani 2013-08-10 04:13:33 EDT
Description of problem:
While re-starting, after a huge updating of my Fedora18

Version-Release number of selected component:
recoll-1.19.4-2.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/recollindex -w 60 -m
crash_function: std::_Rb_tree<std::string, std::pair<std::string const, std::string>, std::_Select1st<std::pair<std::string const, std::string> >, std::less<std::string>, std::allocator<std::pair<std::string const, std::string> > >::_M_erase
executable:     /usr/bin/recollindex
kernel:         3.9.11-200.fc18.i686.PAE
runlevel:       N 5
uid:            1000
xsession_errors: :3:recollindex.cpp:371:recollindex: starting up

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 std::_Rb_tree<std::string, std::pair<std::string const, std::string>, std::_Select1st<std::pair<std::string const, std::string> >, std::less<std::string>, std::allocator<std::pair<std::string const, std::string> > >::_M_erase at /usr/include/c++/4.7.2/bits/stl_tree.h:1082
 #5 ~_Rb_tree at /usr/include/c++/4.7.2/bits/stl_tree.h:646
 #6 ~map at /usr/include/c++/4.7.2/bits/stl_map.h:90
 #7 ~pair at /usr/include/c++/4.7.2/bits/stl_pair.h:88
 #8 destroy at /usr/include/c++/4.7.2/ext/new_allocator.h:123
 #9 _M_destroy_node at /usr/include/c++/4.7.2/bits/stl_tree.h:394
 #10 std::_Rb_tree<std::string, std::pair<std::string const, std::map<std::string, std::string, std::less<std::string>, std::allocator<std::pair<std::string const, std::string> > > >, std::_Select1st<std::pair<std::string const, std::map<std::string, std::string, std::less<std::string>, std::allocator<std::pair<std::string const, std::string> > > > >, std::less<std::string>, std::allocator<std::pair<std::string const, std::map<std::string, std::string, std::less<std::string>, std::allocator<std::pair<std::string const, std::string> > > > > >::_M_erase at /usr/include/c++/4.7.2/bits/stl_tree.h:1084
 #12 ~_Rb_tree at /usr/include/c++/4.7.2/bits/stl_tree.h:646
 #13 ~map at /usr/include/c++/4.7.2/bits/stl_map.h:90
 #14 ~ConfSimple at ../utils/conftree.h:143
Comment 1 michelenani 2013-08-10 04:13:38 EDT
Created attachment 785108 [details]
File: backtrace
Comment 2 michelenani 2013-08-10 04:13:41 EDT
Created attachment 785109 [details]
File: cgroup
Comment 3 michelenani 2013-08-10 04:13:44 EDT
Created attachment 785110 [details]
File: core_backtrace
Comment 4 michelenani 2013-08-10 04:13:47 EDT
Created attachment 785111 [details]
File: dso_list
Comment 5 michelenani 2013-08-10 04:13:50 EDT
Created attachment 785112 [details]
File: environ
Comment 6 michelenani 2013-08-10 04:13:53 EDT
Created attachment 785113 [details]
File: limits
Comment 7 michelenani 2013-08-10 04:13:56 EDT
Created attachment 785114 [details]
File: maps
Comment 8 michelenani 2013-08-10 04:13:59 EDT
Created attachment 785115 [details]
File: open_fds
Comment 9 michelenani 2013-08-10 04:14:02 EDT
Created attachment 785116 [details]
File: proc_pid_status
Comment 10 michelenani 2013-08-10 04:14:05 EDT
Created attachment 785118 [details]
File: var_log_messages
Comment 11 Terje Røsten 2013-08-19 14:37:29 EDT
Thanks for your report, are able to reproduce? 

Or was this just a single crash after update?
Comment 12 Fedora Update System 2013-11-05 17:12:59 EST
recoll-1.19.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/recoll-1.19.8-1.fc19
Comment 13 Fedora Update System 2013-11-05 17:13:36 EST
recoll-1.19.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/recoll-1.19.8-1.fc20
Comment 14 Fedora Update System 2013-11-05 17:14:05 EST
recoll-1.19.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/recoll-1.19.8-1.fc18
Comment 15 Fedora Update System 2013-11-06 13:21:59 EST
Package recoll-1.19.8-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing recoll-1.19.8-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20750/recoll-1.19.8-1.fc20
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-11-23 14:43:45 EST
recoll-1.19.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-11-23 14:44:48 EST
recoll-1.19.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-11-23 23:04:50 EST
recoll-1.19.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.